%define deb_file %{name}-%{version}-1-amd64.deb

Summary: General markup converter
Name: pandoc
Version: 1.16.0.2
Release: %mkrel 1
License: GPL
Group: Sciences/Mathematics
URL: http://pandoc.org/
Source0: %{deb_file}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: x86_64
BuildRequires: binutils xz tar
AutoReqProv: no

%description
Pandoc is a Haskell library for converting from one markup
format to another, and a command-line tool that uses
this library. It can read markdown and (subsets of) HTML,
reStructuredText, LaTeX, DocBook, MediaWiki markup, Twiki markup,
Haddock markup, OPML, Emacs Org-Mode, txt2tags and Textile, and
it can write markdown, reStructuredText, HTML, LaTeX, ConTeXt,
Docbook, OPML, OpenDocument, ODT, Word docx, RTF, MediaWiki,
DokuWiki, Textile, groff man pages, plain text, Emacs Org-Mode,
AsciiDoc, Haddock markup, EPUB (v2 and v3), FictionBook2,
InDesign ICML, and several kinds of HTML/javascript
slide shows (S5, Slidy, Slideous, DZSlides, reveal.js).



%prep
%setup -T -n %{name} -c

%build

%install
rm -rf %buildroot
mkdir %buildroot

# extract data from the deb package
mkdir  -p %buildroot/usr
ar p $RPM_SOURCE_DIR/%{deb_file} data.tar.gz | tar xvz --strip-components 2 -C %buildroot/usr

%clean
rm -rf %buildroot


%files
%defattr(-,root,root)
%{_bindir}/pandoc
%{_bindir}/pandoc-citeproc
%{_datadir}/doc/pandoc/copyright
%{_datadir}/man/man1/pandoc-citeproc.1.bz2
%{_datadir}/man/man1/pandoc.1.bz2


%changelog
* Sat Mar 05 2016 bb <bb> 1.6.0.2-1pclos2016
- create rpm from deb file
